Retrieves a group details by connection type

Prev Next
Get
/api/v1/connections/{connection_type}/groups
Security
HTTP
Type bearer
Path parameters
connection_type
stringRequired

connection_type

Query parameters
groupName
string

To filter group name

timezone
string
ExampleAsia/Kolkata
size
integer

The number of records to return per page

Default25
page
integer

The page number. The page number start from 1

Default1
sort
array of string

Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['groupName', 'whenCreated', 'whenChanged', 'lastActive']

DefaultwhenCreated:DESC
Example[ "whenCreated:desc" ]
fromDate
string

The earliest date to search in user created time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-05-06T10:50:35+0000
toDate
string

The latest date to search in user created time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)

Example2021-05-06T10:50:35+0000
Responses
200

OK

Expand All
object
authorization
boolean
data
object
page
integer
results
Array of object (GroupsByConnectionType)
object
connectedUsers
Array of object
object
firstName
string
lastName
string
loginName
string
mail
string
objectGUID
string
displayName
string
lastActive
string
objectGUID
string
whenChanged
string
whenCreated
string
size
integer
totalCount
integer
totalPage
integer
error_code
integer
error_message
string
error_status
boolean
Examplefalse
401

Unauthorized

object
error_code
integer
error_message
string
error_status
boolean
404

Not Found

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
500

Internal Server Error

object
authorization
boolean
data
Array of string
Example[]
string
error_code
integer | null
error_message
string | null
error_status
boolean